.keyboard
{
	border: solid 1pt #888;
	background: #fff;
	padding: 6px 6px 4px 6px;
	border-radius: 10px;
	padding-bottom: 4px;
	display: inline-block;
	touch-action: manipulation;
}

.keyboard-row 
{
	text-align: center;
	touch-action: manipulation;
}

.keyboard-key 
{
	display: inline-block;
	touch-action: manipulation;
	border: 1px solid #9a9a9a;
	padding: 1px;
	margin: 1px;
	margin-bottom: 3px;
	-moz-box-shadow: inset 0px 1px 0px 0px #ffffff;
	-webkit-box-shadow: inset 0px 1px 0px 0px #ffffff;
	box-shadow: inset 0px 1px 0px 0px #ffffff;
	background: linear-gradient(to bottom, #ededed 5%, #dfdfdf 100%);
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	border-radius: 6px;
	cursor: pointer;
	display: inline-block;
	color: #777777;
	font-family: helvetica;
	font-size: 15px;
	font-weight: 400;
	font-style: normal;
	height: 25px;
/* 	line-height: 25px; */
	width: 25px;
	text-decoration: none;
	text-align: center;
	text-shadow: 1px 1px 0px #ffffff;
	vertical-align: top;
}

.keyboard-blank
{
	width: 31px;
	display: inline-block;
}

.keyboard-halfblank
{
	width: 15.5px;
	display: inline-block;
}

.keyboard-widekey
{
	width: 56px;
}

.keyboard-extrawidekey
{
	width: 87px;
}

.keyboard-midkey
{
	width: 40px;
}

.keyboard-bigfontmidkey
{
	width: 40px;
	font-size: 1.3rem;
	font-weight: 100;
}

.keyboard-bigfontkey
{
	font-size: 1.3rem;
	font-weight: 100;
}

.keyboard-fontkeyplus
{
	font-size: 1.05rem;
	font-weight: 100;
}

.keyboard-bigfontwidekey
{
	width: 56px;
	font-size: 1.3rem;
	font-weight: 100;
}

.keyboard-smallfontkey
{
	font-size: 0.78rem;
}

.keyboard-tinyfontkey
{
	font-size: 0.6rem;
}

.keyboard-tallkey
{
	height: 40px;
}

.keyboard-bigkey
{
	width: 53px;
	height: 40px;
}

.keyboard-key:hover 
{
	background: linear-gradient( to bottom, #dfdfdf 5%, #ededed 100% );
	background-color: #dfdfdf;
}

.keyboard-key:active 
{
	position: relative;
	top: 1px;
}

.keyboard-row .active 
{
	background-color: #0c57a8;
	-moz-box-shadow: inset 0px 1px 0px 0px #9fc5f2;
	-webkit-box-shadow: inset 0px 1px 0px 0px #9fc5f2;
	box-shadow: inset 0px 1px 0px 0px #9fc5f2;
	background: linear-gradient( to bottom, #0c57a8 5%, #043078 100% );
	border: 1px solid #2358a1;
	display: inline-block;
	text-shadow: 1px 1px 0px #07294a;
	color: #ffffff;
}

.keyboard-row .keyboard-activekey:hover 
{
	background: linear-gradient( to bottom, #043078 5%, #0c57a8 100% );
	background-color: #043078;
}
